View Issue Details

IDProjectCategoryView StatusLast Update
0003836SymmetricDSBugpublic2019-03-14 08:48
ReportermmichalekAssigned Tommichalek 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.9.15 
Target Version3.10.0Fixed in Version3.10.0 
Summary0003836: Fix DDL creation of ROWID column for Oracle (3.10)
DescriptionFix DDL creation of ROWID column for Oracle.

Invalid DDL was being generated (see below). The ROWID should not specify the size - ie, remove the "(10):.

BAD DDL:
2018-12-19 10:23:14,146 INFO [] [OracleDatabasePlatform] [main] Running alter sql:
CREATE TABLE "TEST_TYPES"(
    "COL0" NCHAR(5),
    "COL1" NVARCHAR2(1000),
    "COL2" VARCHAR2(100),
    "COL3" NUMBER,
    "COL4" BINARY_FLOAT,
    "COL5" BINARY_DOUBLE,
    "COL6" DATE,
    "COL7" TIMESTAMP(6) WITH TIME ZONE,
    "COL8" TIMESTAMP(6) WITH LOCAL TIME ZONE,
    "COL9" NCLOB,
    "COL10" ROWID(10),
    "COL11" XMLTYPE,
    "COL12" NUMBER
);

GOOD DDL:
2018-12-19 10:23:14,146 INFO [] [OracleDatabasePlatform] [main] Running alter sql:
CREATE TABLE "TEST_TYPES"(
    "COL0" NCHAR(5),
    "COL1" NVARCHAR2(1000),
    "COL2" VARCHAR2(100),
    "COL3" NUMBER,
    "COL4" BINARY_FLOAT,
    "COL5" BINARY_DOUBLE,
    "COL6" DATE,
    "COL7" TIMESTAMP(6) WITH TIME ZONE,
    "COL8" TIMESTAMP(6) WITH LOCAL TIME ZONE,
    "COL9" NCLOB,
    "COL10" ROWID,
    "COL11" XMLTYPE,
    "COL12" NUMBER
);

Relationships

related to 0003835 assignedmmichalek Fix DDL creation of ROWID column for Oracle 

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.10 fef19b97

2018-12-19 10:29:36

mmichalek

Details Diff
0003836: Fix DDL creation of ROWID column for Oracle (3.10)
0003836
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/oracle/OracleDdlBuilder.java Diff File

Issue History

Date Modified Username Field Change
2018-12-19 10:28 mmichalek New Issue
2018-12-19 10:28 mmichalek Status new => assigned
2018-12-19 10:28 mmichalek Assigned To => mmichalek
2018-12-19 10:28 mmichalek Issue generated from: 0003835
2018-12-19 10:29 mmichalek Relationship added related to 0003835
2018-12-19 11:00 mmichalek Changeset attached => SymmetricDS 3.10 fef19b97
2019-01-08 10:36 mmichalek Status assigned => resolved
2019-01-08 10:36 mmichalek Resolution open => fixed
2019-01-08 10:36 mmichalek Fixed in Version => 3.10.0
2019-03-14 08:48 admin Status resolved => closed